%define module pytools

Summary:	A collection of tools for Python
Name:		python-%{module}
Version:	2015.1.2
Release:	3
License:	MIT
Group:		Development/Python
Url:		http://mathema.tician.de/software/pytools
Source0:	https://pypi.python.org/packages/source/p/pytools/pytools-%{version}.tar.gz
BuildRequires:	python-setuptools
BuildRequires:	pkgconfig(python)
Requires:	pythonegg(appdirs) >= 1.4.0
Requires:	pythonegg(decorator) >= 3.2.0 
Requires:	pythonegg(six)

BuildArch:	noarch

%description
Pytools is a big bag of things that are "missing" from the Python
standard library. This is mainly a dependency of my other software
packages, and is probably of little interest to you unless you use
those. If you're curious nonetheless, here's what's on offer:

* A ton of small tool functions such as len_iterable, argmin, tuple
  generation, permutation generation, ASCII table pretty printing,
  GvR's mokeypatch_xxx() hack, the elusive flatten, and much more.
* Michele Simionato's decorator module.
* A time-series logging module, pytools.log.
* Batch job submission, pytools.batchjob.
* A lexer, pytools.lex.

%files
%doc README
%dir %{py_puresitedir}/pytools/
%{py_puresitedir}/pytools/*
%{py_puresitedir}/pytools-*.egg-info

#----------------------------------------------------------------------------

%package -n python3-%{module}
Summary:	A collection of tools for Python
Group:		Development/Python
BuildRequires:	python3-setuptools
BuildRequires:	pkgconfig(python3)
Requires:	python3egg(appdirs) >= 1.4.0 
Requires:	python3egg(decorator) >= 3.2.0 
Requires:	python3egg(six)

%description -n python3-%{module}
Pytools is a big bag of things that are "missing" from the Python 3
standard library. This is mainly a dependency of my other software
packages, and is probably of little interest to you unless you use
those. If you're curious nonetheless, here's what's on offer:

* A ton of small tool functions such as len_iterable, argmin, tuple
  generation, permutation generation, ASCII table pretty printing,
  GvR's mokeypatch_xxx() hack, the elusive flatten, and much more.
* Michele Simionato's decorator module.
* A time-series logging module, pytools.log.
* Batch job submission, pytools.batchjob.
* A lexer, pytools.lex.

%files -n python3-%{module}
%doc README
%dir %{py3_puresitedir}/pytools/
%{py3_puresitedir}/pytools/*
%{py3_puresitedir}/pytools-*.egg-info

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-%{version}

cp -a . %{py3dir}

%build

%install
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot}  

pushd %{py3dir}
PYTHONDONTWRITEBYTECODE= %__python3 setup.py install --root=%{buildroot}  
popd


%changelog

* Sat May 28 2016 abfonly <abfonly@gmail.com> 2015.1.2-3
- (c258c80) Log: Build python3 module
- (c258c80) fixed rpm tree
- (c258c80) bump rel
- (c258c80) merge with python3_modules group


